=== examples/CMakeLists.txt ===
add_subdirectory(minimal)
add_subdirectory(playground)
