=== debian/changelog ===
enki-aseba (1:1.6.0-5) unstable; urgency=medium

  * fixed uncommitted changes in the previous version

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 08 Apr 2018 18:30:26 +0200

enki-aseba (1:1.6.0-4) unstable; urgency=medium

  * upgraded the use version of Qt to 5

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 26 Feb 2018 19:09:06 +0100

enki-aseba (1:1.6.0-3) unstable; urgency=medium

  * Initial release (Closes: #888748) (again)
  * Added collaborative maintenance support with salsa & debian-science group

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 31 Jan 2018 16:08:45 +0100

enki-aseba (1:1.6.0-2) unstable; urgency=medium

  * Initial release (Closes: #888748) (again)
  * fixed the type cinematics -> kinematics.

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 31 Jan 2018 14:53:07 +0100

enki-aseba (1:1.6.0-1) unstable; urgency=medium

  * Initial release (Closes: #888748)
  * changed epoch: (none) -> 1, since the numbering will be based
    on "aseba-x.y.z" tags, which are following another scheme than
  	enki's generic releases.
  * changed Maintainer in debian/control, and redefined the binary packages
    output by the source package
  * updated Standards-Version: 4.1.3, put a build-dependency on debhelper 10
  * patched cmake files to build a shared library

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 29 Jan 2018 13:02:53 +0100
 

libenki (2.0~git.20180109) xenial; urgency=medium

  * Several bug fixes

 -- Stéphane Magnenat <stephane@nospam.magnenat.net>  Mon, 08 Jan 2018 12:01:46 +0100

libenki (2.0~git.20161121) xenial; urgency=medium

  * Several bug fixes

 -- Stéphane Magnenat <stephane@nospam.magnenat.net>  Mon, 21 Nov 2016 09:11:43 +0100

libenki (2.0~git.20161103) xenial; urgency=medium

  * Added object selection, movement and interaction; added realistic textures for Thymio 2.

 -- Stéphane Magnenat <stephane@nospam.magnenat.net>  Thu, 03 Nov 2016 21:09:25 +0100

libenki (2.0~git.20160719) trusty; urgency=medium

  * Restructured camera pose API in viewer

 -- Stéphane Magnenat <stephane@nospam.magnenat.net>  Tue, 19 Jul 2016 10:47:49 +0200

libenki (2.0~git.20160624) trusty; urgency=medium

  * Added callback for collision detection

 -- Stéphane Magnenat <stephane@nospam.magnenat.net>  Fri, 24 Jun 2016 22:16:03 +0200

libenki (2.0~git.20160511) trusty; urgency=medium

  * Added preliminary Thymio2 support

 -- Stéphane Magnenat <stephane@nospam.magnenat.net>  Wed, 11 May 2016 11:13:34 +0200

libenki (2.0~git.20140506) trusty; urgency=medium

  * Added Python compilation

 -- Stéphane Magnenat <stephane@nospam.magnenat.net>  Tue, 06 May 2014 18:09:25 +0200

libenki (2.0~git.20140131) precise; urgency=low

  * Deb pre-release

 -- Stéphane Magnenat <stephane@nospam.magnenat.net>  Fri, 31 Jan 2014 16:11:51 +0100

libenki (1.9-svn155) lucid; urgency=low

  * Deb pre-release

 -- Stéphane Magnenat <stephane@nospam.magnenat.net>  Mon, 30 Apr 2012 16:04:56 +0200
