=== debian/control ===
Source: enki-aseba
Maintainer: Georges Khaznadar <georgesk@debian.org>
Section:devel
Priority:optional
Standards-Version: 4.1.3
Build-Depends: debhelper (>=10), dh-python, quilt,
 cmake (>= 2.6), qtbase5-dev, libqt5opengl5-dev, qt5-qmake, qt5-default,
 mesa-common-dev, python, libboost-python-dev, libsdl2-dev, doxygen
Vcs-Browser: https://salsa.debian.org/science-team/enki-aseba.git
Vcs-Git: https://salsa.debian.org/science-team/enki-aseba.git

Package:libenki2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Enki is a fast 2D physics-based robot simulator written in C++.
 Enki is able to simulate kinematics, collisions, sensors and cameras of robots 
 evolving on a flat surface. It also provides limited support for friction.
 It is able to simulate groups of robots hundred times faster than realtime
 on a modern desktop computer. 

Package:libenki-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends},
 libenki2 (>= ${source:Version}), libenki2 (<< ${source:Version}.1~)
Description: development file for the library libenki
 Libenki provides a fast 2D physics-based robot simulator written in C++.
 It is able to simulate kinematics, collisions, sensors and cameras of robots. 

Package: python-enki2
Architecture: any
Section: python
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
X-Python-Version: >= 2.7
Description: Python bindings for the library libenki2
 Libenki provides a fast 2D physics-based robot simulator written in C++.
 It is able to simulate kinematics, collisions, sensors and cameras of robots.
 See also the description of package libenki2
