## enki-aseba 1.6.99

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 2.8.11)
 
 project(Enki)
 
@@ -7,10 +7,11 @@
 
 enable_testing()
 
-# check for Qt
-set(QT_USE_QTOPENGL TRUE)
-find_package(Qt4)
-find_package(OpenGL)
+find_package(Qt5 COMPONENTS Core Gui Widgets OpenGL)
+find_package(OpenGL REQUIRED)
+
+# check for SDL2
+find_package(SDL2)
 
 # library version
 set(LIB_INSTALL_DIR lib CACHE FILEPATH "Where to install libraries")
@@ -20,7 +21,11 @@
 set(LIB_VERSION_STRING ${LIB_VERSION_MAJOR}.${LIB_VERSION_MINOR}.${LIB_VERSION_PATCH})
 
 add_subdirectory(enki)
-add_subdirectory(viewer)
+
+if (Qt5Widgets_FOUND AND Qt5OpenGL_FOUND)
+	add_subdirectory(viewer)
+endif()
+
 add_subdirectory(python)
 add_subdirectory(tests)
 add_subdirectory(examples)
