=== enki/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,3 @@
-include_directories (${PROJECT_SOURCE_DIR})
-
-if (CMAKE_HOST_UNIX)
-	add_definitions("-fPIC")
-endif (CMAKE_HOST_UNIX)
-
 add_library(enki
 	Geometry.cpp
 	Types.cpp
@@ -24,8 +18,11 @@
 	robots/thymio2/Thymio2.cpp
 )
 
-set_target_properties(enki PROPERTIES VERSION ${LIB_VERSION_STRING} 
-                                        SOVERSION ${LIB_VERSION_MAJOR})
+target_include_directories (enki PUBLIC ${PROJECT_SOURCE_DIR})
+
+set_target_properties(enki PROPERTIES VERSION ${LIB_VERSION_STRING}
+										SOVERSION ${LIB_VERSION_MAJOR}
+										POSITION_INDEPENDENT_CODE ON)
 
 install(DIRECTORY . 
 	DESTINATION include/enki/
