=== python/CMakeLists.txt ===
--- 
+++ 
@@ -4,22 +4,15 @@
 set(Python_ADDITIONAL_VERSIONS ${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR})
 find_package(PythonLibs)
 
-set(QT_USE_QTOPENGL TRUE)
-find_package(Qt4)
-find_package(OpenGL)
-
 # make sure we have the right modules
-if (PYTHONLIBS_FOUND AND PYTHONINTERP_FOUND AND QT4_FOUND AND OPENGL_FOUND)
-	include(${QT_USE_FILE})
-	add_definitions(${QT_DEFINITIONS})
-	
+if (PYTHONLIBS_FOUND AND PYTHONINTERP_FOUND AND Qt5Widgets_FOUND AND Qt5OpenGL_FOUND)
 	message(STATUS "Python libs and executable found, looking for boost::python")
 	find_package(Boost COMPONENTS python)
 	if (Boost_FOUND)
 		message(STATUS "boost::python found, generating python bindings")
 		include_directories(${PROJECT_SOURCE_DIR} ${PYTHON_INCLUDE_DIRS} ${Boost_INCLUDE_DIR})
 		python_add_module(pyenki enki.cpp)
-		target_link_libraries(pyenki enki enkiviewer ${QT_LIBRARIES} ${OPENGL_LIBRARIES} ${Boost_LIBRARIES} ${PYTHON_LIBRARIES})
+		target_link_libraries(pyenki enki enkiviewer Qt5::OpenGL Qt5::Widgets ${OPENGL_gl_LIBRARY} ${Boost_LIBRARIES} ${PYTHON_LIBRARIES})
 		# fix for old python_add_module
 		set_target_properties(pyenki PROPERTIES PREFIX "")
 		if (PYTHON_CUSTOM_TARGET)
@@ -34,8 +27,8 @@
 			install(TARGETS pyenki LIBRARY DESTINATION ${PYTHON_SITE_MODULES})
 		endif (PYTHON_CUSTOM_TARGET)
 	else (Boost_FOUND)
-		message(WARNING "You need boost::python to generate python bindings")
+		message(WARNING "You need boost::python to generate Python bindings")
 	endif (Boost_FOUND)
-else (PYTHONLIBS_FOUND AND PYTHONINTERP_FOUND AND QT4_FOUND AND OPENGL_FOUND)
-	message(WARNING "Python libs or executable, or Qt4, or OpenGL not found, skipping Python bindings")
-endif (PYTHONLIBS_FOUND AND PYTHONINTERP_FOUND AND QT4_FOUND AND OPENGL_FOUND)
+else ()
+	message(WARNING "Python libs or executable, or Qt5, or OpenGL not found, skipping Python bindings")
+endif ()
