=== debian/changelog ===
enki-aseba (1:1.6.99-3build4) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:05:15 +0200

enki-aseba (1:1.6.99-3build3) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 16:54:51 +0200

enki-aseba (1:1.6.99-3build2) plucky; urgency=medium

  * Another no-change rebuild with Python 3.13 only to pick up
    libboost-python1.83.0-py313

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 07 Mar 2025 12:03:40 +0000

enki-aseba (1:1.6.99-3build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 22:05:53 +0000

enki-aseba (1:1.6.99-3) unstable; urgency=medium

  * added a build-dependency on python3-setuptools. Closes: #1080874
  * removed the version constraint on the build-dependency cmake
  * bumped debhelper-compat (=13), Standards-Version: 4.7.1
  * enabled CI for salsa

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 23 Feb 2025 19:37:53 +0100

enki-aseba (1:1.6.99-2) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove qt5-default from build dependencies, no other changes needed
    (Closes: #972162).

  [ Georges Khaznadar ]
  * Merged Lissandro's changes, thanks!

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 17 Oct 2020 17:39:22 +0200

enki-aseba (1:1.6.99-1) unstable; urgency=medium

  * New upstream version 1.6.99
  * changes to use Python3 instead of Python2.7. Closes: #936483
  * updated debian patches
  * changed the name of a binary package: python-enki2 -> python3-enki2
  * made build-dependency on debhekper-compt (=12), removed debian/compat
  * Upgraded Standards-Version: 4.5.0

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 01 Aug 2020 16:43:22 +0200

enki-aseba (1:1.6.0-6) unstable; urgency=medium

  * changed a build-dependency: libqt5opengl5-dev => libqt5opengl5-desktop-dev
    Closes: #895499
  * upgraded Standards-Version: 4.1.4

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 13 Apr 2018 16:08:28 +0200
