=== debian/control ===
--- 
+++ 
@@ -2,10 +2,20 @@
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Section:devel
 Priority:optional
-Standards-Version: 4.1.3
-Build-Depends: debhelper (>=10), dh-python, quilt,
- cmake (>= 2.6), qtbase5-dev, libqt5opengl5-dev, qt5-qmake, qt5-default,
- mesa-common-dev, python, libboost-python-dev, libsdl2-dev, doxygen
+Standards-Version: 4.7.1
+Build-Depends: debhelper-compat (=13),
+ dh-python,
+ python3-setuptools,
+ quilt,
+ cmake,
+ qtbase5-dev,
+ libqt5opengl5-desktop-dev,
+ qt5-qmake,
+ mesa-common-dev,
+ python3,
+ libboost-python-dev,
+ libsdl2-dev,
+ doxygen
 Vcs-Browser: https://salsa.debian.org/science-team/enki-aseba.git
 Vcs-Git: https://salsa.debian.org/science-team/enki-aseba.git
 
@@ -28,12 +38,11 @@
  Libenki provides a fast 2D physics-based robot simulator written in C++.
  It is able to simulate kinematics, collisions, sensors and cameras of robots. 
 
-Package: python-enki2
+Package: python3-enki2
 Architecture: any
 Section: python
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
-X-Python-Version: >= 2.7
-Description: Python bindings for the library libenki2
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Description: Python3 bindings for the library libenki2
  Libenki provides a fast 2D physics-based robot simulator written in C++.
  It is able to simulate kinematics, collisions, sensors and cameras of robots.
  See also the description of package libenki2
