=== debian/rules ===
--- 
+++ 
@@ -14,5 +14,5 @@
 #export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
-	dh $@ --with python2
+	dh $@ --with python3
